TimedMediaHandler does not clear varnish/squid cache for transcodes
Closed, ResolvedPublic

Description

Original report: https://commons.wikimedia.org/w/index.php?title=Commons:Village_pump&oldid=112210807#Mediawiki_creating_ogg_from_old_version_of_flac_file

I just reset the transcode on http://localhost/w/git/index.php/File:Lysenko-The-Sailboat.flac , but Varnish is still serving the old transcode. Based on the report, it appears that TimedMediaHandler isn't sending htcp purges for transcode files when someone uploads a new version, or when someone resets the transcode.

Compare (Either by listening to the beginning, or if you're like me and don't have a good enough ear, by using diff):
https://upload.wikimedia.org/wikipedia/commons/transcoded/9/9c/Lysenko-The-Sailboat.flac/Lysenko-The-Sailboat.flac.ogg vs https://upload.wikimedia.org/wikipedia/commons/transcoded/9/9c/Lysenko-The-Sailboat.flac/Lysenko-The-Sailboat.flac.ogg?randomjunktobypassvarnish


Version: unspecified
Severity: normal

bzimport set Reference to bz58733.
Bawolff created this task.Via LegacyDec 20 2013, 7:13 AM
gerritbot added a comment.Via ConduitDec 21 2013, 3:06 AM

Change 103084 had a related patch set uploaded by Brian Wolff:
Clear Squid/Varnish cache on transcode delete and creation.

https://gerrit.wikimedia.org/r/103084

gerritbot added a comment.Via ConduitDec 23 2013, 4:28 PM

Change 103084 merged by jenkins-bot:
Clear Squid/Varnish cache on transcode delete and creation.

https://gerrit.wikimedia.org/r/103084

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:35 AM
Gilles raised the priority of this task from "High" to "Unbreak Now!".Via WebDec 4 2014, 10:11 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "High".Via ConduitDec 4 2014, 11:22 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.